# Class: Theme.Templater

Defined in: | node_modules/codo/themes/default/lib/templater.coffee

## Instance Method Summary

- # (void) sourceOf(subject)
- # (void) compileAsset(from, to = false)
- # (void) render(template, context = {}, filename = '') Render the given template with the context and the global context object merged as template data.

## Constructor Details

# (void) constructor(destination)

## Instance Method Details

# (void) sourceOf(subject)

# (void) compileAsset(from, to = false)

# (void) render(template, context = {}, filename = '')

Render the given template with the context and the global context object merged as template data. Writes the file as the output filename.

### Parameters:

- template ( `String` ) — the template name
- context ( `Object` ) — the context object
- filename ( `String` ) — the output file name

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input